db4o |

# ObjectContainer.Query Method (Predicate, IComparer)

Native Query Interface.

ObjectSet Query(
Predicate predicate,
IComparer comparer
);

#### Parameters

predicate
  the com.db4o.query.Predicate containing the native query expression.
comparer

#### Return Value

the com.db4o.ObjectSet returned by the query.

#### Remarks

Native Query Interface. Queries as with com.db4o.ObjectContainer.Query(Predicate) , but will sort the resulting com.db4o.ObjectSet according to the given System.Collections.IComparer .

#### See Also

ObjectContainer Interface | com.db4o Namespace | ObjectContainer.Query Overload List